FreeMat

- Main Page
- Related Pages

vtkPointData

Section: Visualization Toolkit Filtering Classes

# Usage

vtkPointData is a class that is used to represent and manipulate point attribute data (e.g., scalars, vectors, normals, texture coordinates, etc.) Most of the functionality is handled by vtkDataSetAttributes

To create an instance of class vtkPointData, simply invoke its constructor as follows

      obj = vtkPointData

# Methods

The class vtkPointData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPointData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPointData = obj.NewInstance ()`
- `vtkPointData = obj.SafeDownCast (vtkObject o)`
- `obj.NullPoint (vtkIdType ptId)`